

const require_X509Certificate = require('./X509Certificate.js');

//#region src/modules/x509/extraction.ts
function extractX509CertificatesFromJwt(jwt) {
	return jwt.header.x5c?.map((cert) => require_X509Certificate.X509Certificate.fromEncodedCertificate(cert));
}

//#endregion
exports.extractX509CertificatesFromJwt = extractX509CertificatesFromJwt;